Package org.h2gis.functions.spatial.trigonometry

## Class ST_Azimuth

- java.lang.Object
- - org.h2gis.api.AbstractFunction
  - - org.h2gis.api.DeterministicScalarFunction
    - - org.h2gis.functions.spatial.trigonometry.ST_Azimuth

All Implemented Interfaces:
  `org.h2gis.api.Function`, `org.h2gis.api.ScalarFunction`

    public class ST_Azimuth
    extends org.h2gis.api.DeterministicScalarFunction

Returns the azimuth of the segment defined by the given Point geometries. Return value is in radians.

### Field Summary

### Fields inherited from interface org.h2gis.api.Function

`PROP_NAME, PROP_REMARKS`

### Fields inherited from interface org.h2gis.api.ScalarFunction

`PROP_DETERMINISTIC`

### Constructor Summary

Constructors
`ST_Azimuth()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static Double` `azimuth​(org.locationtech.jts.geom.Geometry pointA, org.locationtech.jts.geom.Geometry pointB)` This code compute the angle in radian as postgis does.
`String` `getJavaStaticMethod()`

### Methods inherited from class org.h2gis.api.AbstractFunction

`addProperty, getProperty, removeProperty`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.h2gis.api.Function

`getProperty`

### Constructor Detail

#### ST_Azimuth

    public ST_Azimuth()

### Method Detail

#### getJavaStaticMethod

    public String getJavaStaticMethod()

#### azimuth

    public static Double azimuth​(org.locationtech.jts.geom.Geometry pointA,
                                 org.locationtech.jts.geom.Geometry pointB)

This code compute the angle in radian as postgis does.

Parameters:
  `pointA` - `Geometry` A
  `pointB` - `Geometry` B
Returns:
  azimuth